# Namespace goog.labs.userAgent.browser

code »
Show:Public Protected Private

## Global Functions

code »goog.labs.userAgent.browser.getIEVersion_ ( userAgent ) ⇒ `string`

Determines IE version. More information: http://msdn.microsoft.com/en-us/library/ie/bg182625(v=vs.85).aspx#uaString http://msdn.microsoft.com/en-us/library/hh869301(v=vs.85).aspx http://blogs.msdn.com/b/ie/archive/2010/03/23/introducing-ie9-s-user-agent-string.aspx http://blogs.msdn.com/b/ie/archive/2009/01/09/the-internet-explorer-8-user-agent-string-updated-edition.aspx

Parameters

userAgent: `string`
  the User-Agent.

code »goog.labs.userAgent.browser.getVersion ( ) ⇒ `string`

Returns

The browser version or empty string if version cannot be determined. Note that for Internet Explorer, this returns the version of the browser, not the version of the rendering engine. (IE 8 in compatibility mode will return 8.0 rather than 7.0. To determine the rendering engine version, look at document.documentMode instead. See http://msdn.microsoft.com/en-us/library/cc196988(v=vs.85).aspx for more details.)

code »goog.labs.userAgent.browser.isAndroidBrowser ( ) ⇒ `boolean`

Returns

Whether the user's browser is the Android browser.

code »goog.labs.userAgent.browser.isChrome ( ) ⇒ `boolean`

Returns

Whether the user's browser is Chrome.

code »goog.labs.userAgent.browser.isFirefox ( ) ⇒ `boolean`

Returns

Whether the user's browser is Firefox.

code »goog.labs.userAgent.browser.isIE ( ) ⇒ `boolean`

Returns

Whether the user's browser is IE.

code »goog.labs.userAgent.browser.isOpera ( ) ⇒ `boolean`

Returns

Whether the user's browser is Opera.

code »goog.labs.userAgent.browser.isSafari ( ) ⇒ `boolean`

Returns

Whether the user's browser is Safari.

code »goog.labs.userAgent.browser.isSilk ( ) ⇒ `boolean`

For more information, see: http://docs.aws.amazon.com/silk/latest/developerguide/user-agent.html

Returns

Whether the user's browser is Silk.

code »goog.labs.userAgent.browser.isVersionOrHigher ( version ) ⇒ `boolean`

Parameters

version: `(string|number)`
  The version to check.

Returns

Whether the browser version is higher or the same as the given version.

code »goog.labs.userAgent.browser.matchAndroidBrowser_ ( ) ⇒ `boolean`

Returns

Whether the user's browser is the Android browser.

code »goog.labs.userAgent.browser.matchChrome_ ( ) ⇒ `boolean`

Returns

Whether the user's browser is Chrome.

code »goog.labs.userAgent.browser.matchFirefox_ ( ) ⇒ `boolean`

Returns

Whether the user's browser is Firefox.

code »goog.labs.userAgent.browser.matchIE_ ( ) ⇒ `boolean`

Returns

Whether the user's browser is IE.

code »goog.labs.userAgent.browser.matchOpera_ ( ) ⇒ `boolean`

Returns

Whether the user's browser is Opera.

code »goog.labs.userAgent.browser.matchSafari_ ( ) ⇒ `boolean`

Returns

Whether the user's browser is Safari.